<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class ContentTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('contents')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'content.content.view',
                'name'      => 'View Content',
            ],
            [
                'slug'      => 'content.content.create',
                'name'      => 'Create Content',
            ],
            [
                'slug'      => 'content.content.edit',
                'name'      => 'Update Content',
            ],
            [
                'slug'      => 'content.content.delete',
                'name'      => 'Delete Content',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'content.content.verify',
                'name'      => 'Verify Content',
            ],
            [
                'slug'      => 'content.content.approve',
                'name'      => 'Approve Content',
            ],
            [
                'slug'      => 'content.content.publish',
                'name'      => 'Publish Content',
            ],
            [
                'slug'      => 'content.content.unpublish',
                'name'      => 'Unpublish Content',
            ],
            [
                'slug'      => 'content.content.cancel',
                'name'      => 'Cancel Content',
            ],
            [
                'slug'      => 'content.content.archive',
                'name'      => 'Archive Content',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/content/content',
                'name'        => 'Content',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/content/content',
                'name'        => 'Content',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'content',
                'name'        => 'Content',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Content',
                'module'    => 'Content',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'content.content.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
