<?php

namespace Litecms\Content\Workflow;

use Litecms\Content\Models\Content;
use Litecms\Content\Notifications\ContentWorkflow as ContentNotifyer;
use Notification;

class ContentNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Content $content
     *
     * @return void
     */
    public function complete(Content $content)
    {
        return Notification::send($content->user, new ContentNotifyer($content, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Content $content
     *
     * @return void
     */
    public function verify(Content $content)
    {
        return Notification::send($content->user, new ContentNotifyer($content, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Content $content
     *
     * @return void
     */
    public function approve(Content $content)
    {
        return Notification::send($content->user, new ContentNotifyer($content, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Content $content
     *
     * @return void
     */
    public function publish(Content $content)
    {
        return Notification::send($content->user, new ContentNotifyer($content, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Content $content
     *
     * @return void
     */
    public function archive(Content $content)
    {
        return Notification::send($content->user, new ContentNotifyer($content, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Content $content
     *
     * @return void
     */
    public function unpublish(Content $content)
    {
        return Notification::send($content->user, new ContentNotifyer($content, 'unpublish'));;

    }
}
